# Loki::Private::TwoRefCountInfo Class Reference
[StrongPtr Ownership policies]

`#include <StrongPtr.h>`

List of all members.

## Detailed Description

Implementation detail for reference counting strong and weak pointers. It maintains a void pointer and 2 reference counts. Since it is just a class for managing implementation details, it is not intended to be used directly - which is why it is in a private namespace. Each instance is a shared resource for all copointers, and there should be only one of these for each set of copointers. This class is small, trivial, and inline.

The documentation for this class was generated from the following file:

- StrongPtr.h